Skip to content

Use this request to export only specific sections and documents from the latest version of a submissions binder in your Vault. This will export only parts of the binder, not the complete binder. Exporting a binder section node will automatically include all of its subsections and documents therein.

Before submitting this request:

  • The Export Binder feature must be enabled in your Vault.
  • You must be assigned permissions to use the API.
  • You must have the Export Binder permission.
  • You must have the View Document permission for the binder. Only documents in the binder which you have the View Document permission are available to export.

To export the latest version of a submissions binder:

POST/api/{version}/objects/binders/{binder_id}/actions/export?submission={submission_id}

To export a specific version of a submissions binder:

POST/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/export?submission={submission_id}
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value. See Retrieve Binders above.
{major_version}The major_version_number__v field value of the binder.
{minor_version}The minor_version_number__v field value of the binder.
{submission_id}The id field value of the submission__v object record. See Retrieve Object Record Collection above.

Create a CSV or JSON input file with the id values of the binder sections and/or documents to be exported. You may include any number of valid nodes. Vault will ignore id values which are invalid.

curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ --data-binary @"C:\Vault\Binders\export-submissions-binder-sections.csv" \ https://myvault.veevavault.com/api/v23.1/objects/binders/454/1/0/actions/export?submission=00S000000000101
{ "responseStatus": "SUCCESS", "URL": "https://myvault.veevavault.com/api/v23.1/services/jobs/1201", "job_id": 1201 }

On SUCCESS, the response includes the following information:

  • URL - The URL to retrieve the current status of the export job.
  • job_id - The job_id field value is used to retrieve the results of the export request.